package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.PortalPageMapper;
import com.sa.ibiz.demo.demo.domain.PortalPage;
import com.sa.ibiz.demo.demo.service.PortalPageService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.PortalPageSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[PortalPage] 服务对象接口实现
 */
@Service
public class PortalPageServiceImpl extends ServiceImplBase<PortalPageMapper, PortalPage> implements PortalPageService{


    @Resource
    private PortalPageMapper portalpageMapper;


    @Override
    public boolean create(PortalPage et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(PortalPage et){
        this.beforeUpdate(et);
		this.portalpageMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(PortalPage et){
		return et.getPortalpageid();  
    }

    @Override
    public boolean getDraft(PortalPage et)  {
            return true;
    }

	public List<PortalPage> listDefault(PortalPageSearchFilter filter) {
		return portalpageMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<PortalPage> searchDefault(PortalPageSearchFilter filter) {
		return portalpageMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return portalpageMapper.selectRow(sql);
    }

 }